OpenVDB 13.0.0

Loading...
Searching...
No Matches
PointRasterizeEllipsoidsSDFImpl.h File Reference

Go to the source code of this file.

## Classes
struct | EllipseIndicies
struct | EllipsoidTransfer< SdfT, PositionCodecT, RadiusType, FilterT, CPG >
struct | EllipsoidTransferQuat< SdfT, PositionCodecT, RadiusType, FilterType, CPG >
| Specializations of the EllipsoidTransfer for different Xform attribute types. More...
struct | EllipsoidTransferMat3< SdfT, PositionCodecT, RadiusType, FilterType, CPG >
| Specialization for mat3 types (see above comment). More...
struct | EllipseSurfaceMaskOp< RadiusType, XformT, MaskTreeT >

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::points
namespace | openvdb::v13_0::points::rasterize_sdf_internal

## Macros
#define | OPENVDB_ELLIPSOID_KERNEL_MODE 2
| Dev option to experiment with the ellipsoid kernel.

## Functions
math::Vec3d | calcUnitEllipsoidBoundMaxSq (const math::Mat3s &ellipsoidTransform)
math::Vec3d | calcEllipsoidBoundMax (const math::Mat3s &ellipsoidTransform)
template<typename PointDataGridT, typename SdfT, typename SettingsT, typename XformT>
GridPtrVec | rasterizeEllipsoids (const PointDataGridT &points, const SettingsT &settings, const typename SettingsT::FilterType &filter)
template<typename PointDataGridT, typename SdfT, typename SettingsT>
GridPtrVec | rasterizeEllipsoids (const PointDataGridT &points, const SettingsT &settings, const typename SettingsT::FilterType &filter)

## Detailed Description

Author
  Richard Jones, Nick Avramoussis

## Macro Definition Documentation

## ◆ OPENVDB_ELLIPSOID_KERNEL_MODE

#define OPENVDB_ELLIPSOID_KERNEL_MODE 2

Dev option to experiment with the ellipsoid kernel.

- 0 Distance to unit sphere
- 1 Project unit distance on elipsoid normal
- 2 Distance to axis-aligned ellipse